perusahaan_lowongan/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add-forum/$', add_forum, name='add-forum'),
]

sambungin2/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import perusahaan_lowongan.urls as perusahaan_lowongan

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^perusahaan-lowongan/', include(perusahaan_lowongan, namespace='perusahaan-lowongan')),
]

perusahaan_login/models.py
from django.db import models

# Create your models here.

perusahaan_lowongan/models.py
from django.db import models

# Create your models here.
class Forum(models.Model):
    # perusahaan = models.ForeignKey(Perusahaan)
    lowongan = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

perusahaan_profile/models.py
from django.db import models

# Create your models here.

perusahaan_utama/models.py
from django.db import models

# Create your models here.

perusahaan_lowongan/forms.py
from django import forms

class Forum_Form(forms.Form):
    error_messages = {
        'required': 'is empty',
    }
    description_attrs = {
    'type': 'text',
    'cols': 50,
    'rows': 4,
    'class': 'forum-form-textarea',
    'placeholder':'Masukan deskripsi lowongan kerja'
    }
    description = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=description_attrs))

perusahaan_login/views.py
from django.shortcuts import render

# Create your views here.

perusahaan_lowongan/views.py
from django.shortcuts import render
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.http import HttpResponseRedirect, HttpResponse
from .forms import Forum_Form
from .models import Forum


response={}
# Create your views here.
def index(request):
    forum = Forum.objects.all()
    # forum = Forum.objects.filter(perusahaan=perusahaan)

    paginator = Paginator(forum, 3)
    page = request.GET.get('page')
    try:
        halaman = paginator.page(page)
    except PageNotAnInteger:
        # If page is not an integer, deliver first page.
        halaman = paginator.page(1)


    response['forum_list'] = halaman
    html = 'perusahaan_lowongan/forum.html'
    response['forum_form'] = Forum_Form
    return render(request, html, response)
    # if 'user_login' in request.session:
    #     return HttpResponseRedirect(reverse('perusahaan-lowongan:show_forum'))
    # else:
    #     return True

def add_forum(request):
    form = Forum_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['lowongan'] = request.POST['description']
        forum = Forum(lowongan=response['lowongan'])
        forum.save()
        return HttpResponseRedirect('/perusahaan-lowongan/')
    else:
        return HttpResponseRedirect('/perusahaan-lowongan/')

perusahaan_profile/views.py
from django.shortcuts import render

# Create your views here.

perusahaan_utama/views.py
from django.shortcuts import render

# Create your views here.

perusahaan_lowongan/templates/perusahaan_lowongan/forum.html
{% extends "perusahaan_lowongan/layout/base.html" %}

{% block content%}

<section>
    <h2 class="forum-list-title"> Forum Lowongan Kerja</h2>
    <div class="container">
            {% if forum_list %}
                {% for forum in forum_list reversed %}
                    <h1> {{ forum.lowongan }}</h1>
                    <h2> {{ forum.created_date}}</h1>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Maaf!</strong> Tidak ada forum
            </div>
            {% endif %}
        </div>

        <div class="pagination">
                <span class="step-links">
                    {% if forum_list.has_previous %}
                        <a href="?page={{ forum_list.previous_page_number }}">previous</a>
                    {% endif %}

                    <span class="current">
                        Page {{ forum_list.number }} of {{ forum_list.paginator.num_pages }}.
                    </span>

                    {% if forum_list.has_next %}
                        <a href="?page={{ forum_list.next_page_number }}">next</a>
                    {% endif %}
                </span>
            </div>
</section>
<input id="new_forum" class="btn btn-lg btn-block btn-info" value="Tambah Forum Lowongan"onclick="show()">

<div id="form" style="display:none" class="container">
  <form id="form" method="POST" action="{% url 'perusahaan-lowongan:add-forum' %}">
      <h2>Tambah Forum Lowongan Kerja</h2>
      {% csrf_token %}
      {{ forum_form }}
      <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit" onclick=add()>
      <br>
  </form>
</div>


{% block javascript%}
<script>
function show(){
    var x = document.getElementById("form");
    if(x.style.display === "none"){
      x.style.display = "block";
    }else{
      x.style.display = "none";
    }
    $('#new_forum').hide();
}

function add(){
  var x = document.getElementById("form");
  if(x.style.display === "none"){
    x.style.display = "block";
  }else{
    x.style.display = "none";
  }
  $('#new_forum').show();
}
</script>
{% endblock %}
{% endblock %}

perusahaan_lowongan/templates/perusahaan_lowongan/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="description" content="perusahaan lowongan">
   <meta name="author" content="{{author}}">
   <!-- bootstrap csss -->
   <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
   <link rel="stylesheet" type="text/css" href="#" />
   <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Droid+Sans:400,700">

   <title>
       {% block title %} Forum Lowongan Kerja {% endblock %}
   </title>
</head>
<body>
   <header>

   </header>
   <content>
           {% block content %}
               <!-- content goes here -->
           {% endblock %}
   </content>
   <footer>
       <!-- TODO Block Footer dan include footer.html -->
       {% block footer %}
       
       {% endblock %}
   </footer>
   <!-- Jquery n Bootstrap Script -->
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
   <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
   {% block javascript %}
   {% endblock %}
</body>
</html>